package com.heyu.api.baidu.handle.certificate;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.certificate.BFoodBusinessLicenseRequest;
import com.heyu.api.data.annotation.CustomPath;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * https://console.bce.baidu.com/support/?_=1740219852952&timestamp=1740323343124#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8D%A1%E8%AF%81OCR&api=rest%2F2.0%2Focr%2Fv1%2Ffood_business_license&method=post
 * <p>
 * <p>
 * 食品经营许可证识别
 */
@Component
@Slf4j
@CustomPath("foodBusinessLicense")
public class BFoodBusinessLicenseHandle extends BaiduBaseHandle<BFoodBusinessLicenseRequest, Map> {

    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/food_business_license";
    }

    @Override
    public String check(BFoodBusinessLicenseRequest bFoodBusinessLicenseRequest) {
        return checkPdf(bFoodBusinessLicenseRequest);
    }

    @Override
    public String getContent(BFoodBusinessLicenseRequest bFoodBusinessLicenseRequest) {
        return getPdfContent(bFoodBusinessLicenseRequest).toString();
    }
}
